> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fx data



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetFxData
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetFxData:
    post:
      tags:
        - MarketData
      summary: Get fx data
      operationId: GetFxData
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetFxDataRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetFxDataRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetFxDataRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetFxDataRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetFxDataResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetFxDataRequest:
      example:
        end_date: '2000-01-23T04:56:07.000+00:00'
        fx_pairs:
          - fx_pairs
          - fx_pairs
        start_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        fx_pairs:
          items:
            type: string
          nullable: true
          type: array
        start_date:
          format: date-time
          type: string
        end_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetFxDataRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetFxDataResponse:
      example:
        fx_data:
          - value:
              - date: '2000-01-23T04:56:07.000+00:00'
                high: 1.4658129805029452
                fixing_type: fixing_type
                low: 5.962133916683182
                fx_pair: fx_pair
                close: 0.8008281904610115
                open: 6.027456183070403
              - date: '2000-01-23T04:56:07.000+00:00'
                high: 1.4658129805029452
                fixing_type: fixing_type
                low: 5.962133916683182
                fx_pair: fx_pair
                close: 0.8008281904610115
                open: 6.027456183070403
            key: key
          - value:
              - date: '2000-01-23T04:56:07.000+00:00'
                high: 1.4658129805029452
                fixing_type: fixing_type
                low: 5.962133916683182
                fx_pair: fx_pair
                close: 0.8008281904610115
                open: 6.027456183070403
              - date: '2000-01-23T04:56:07.000+00:00'
                high: 1.4658129805029452
                fixing_type: fixing_type
                low: 5.962133916683182
                fx_pair: fx_pair
                close: 0.8008281904610115
                open: 6.027456183070403
            key: key
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        fx_data:
          items:
            $ref: '#/components/schemas/StringFxDataIEnumerableKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetFxDataResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    StringFxDataIEnumerableKeyValuePair:
      example:
        value:
          - date: '2000-01-23T04:56:07.000+00:00'
            high: 1.4658129805029452
            fixing_type: fixing_type
            low: 5.962133916683182
            fx_pair: fx_pair
            close: 0.8008281904610115
            open: 6.027456183070403
          - date: '2000-01-23T04:56:07.000+00:00'
            high: 1.4658129805029452
            fixing_type: fixing_type
            low: 5.962133916683182
            fx_pair: fx_pair
            close: 0.8008281904610115
            open: 6.027456183070403
        key: key
      properties:
        key:
          nullable: true
          type: string
        value:
          items:
            $ref: '#/components/schemas/FxData'
          nullable: true
          type: array
      type: object
    FxData:
      example:
        date: '2000-01-23T04:56:07.000+00:00'
        high: 1.4658129805029452
        fixing_type: fixing_type
        low: 5.962133916683182
        fx_pair: fx_pair
        close: 0.8008281904610115
        open: 6.027456183070403
      properties:
        provider_id:
          nullable: true
          type: string
        close:
          format: double
          type: number
        open:
          format: double
          nullable: true
          type: number
        high:
          format: double
          nullable: true
          type: number
        low:
          format: double
          nullable: true
          type: number
        date:
          format: date-time
          type: string
        fx_pair:
          nullable: true
          type: string
        fixing_type:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.FxData, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````